#!/usr/bin/cwsh

package require CkTable

# 
proc probacktable { } {
  global Proba
  place [toplevel .probacktable -bg white] -relx 0.5 -y 1 -anchor n
  focus .probacktable
  
  for { set row -1 } { $row < 20 } { incr row } {
    for { set col 0 } { $col < 5 } { incr col } {
      set Proba($row,$col) $row,$col
    }
  }
  pack [scrollbar .probacktable.sby -takefocus 0] -side right -fill y
  pack [CkTable .probacktable.tbl -textvar Proba -titlerows 1 -yscroll ".probacktable.sby set"]
 
  .probacktable.tbl width 0 20 1 8 2 8 3 8 4 8 5 3
  .probacktable.tbl tag col 0 {-bg red -fg blue} 2 {-bg magenta}
  .probacktable.tbl tag row -1 {-justify left} 1 {-fg cyan} 5 {-bg magenta -justify right}
  .probacktable.tbl reload

  bind .probacktable <F1> {
    .probacktable.tbl configure -width 4
  }
  bind .probacktable <F2> {
    .probacktable.tbl configure -width 6
  }
  
  bind .probacktable <F3> {
    .probacktable.tbl configure -height 6
  }
  bind .probacktable <F4> {
    .probacktable.tbl configure -height 15
  }
 
  bind .probacktable <F10> { exit }
  bind .probacktable <Escape> { exit }
  bind .probacktable <q> { exit }
  bind .probacktable <Q> { exit }
  focus .probacktable.tbl
}

probacktable
